Method: generatePaymentTokenRedirectCompleteNotification

Notify Google of the status of a redirect payment.

An example request looks like:


{
  "requestHeader": {
    "protocolVersion": {
      "major": 1,
      "minor": 1,
      "revision": 0
    },
    "requestId": "cmVxdWVzdDE",
    "requestTimestamp": "1481907920000"
  },
  "redirectRequestId": "cmVxdWVzdDE",
  "result": {
    "chargeExceedsTransactionLimit": {}
  }
}

An example response looks like:


{
  "responseHeader": {
    "responseTimestamp": "1481899949611"
  },
  "result": {
    "accepted": {}
  }
}

HTTP request

POST https://vgw.googleapis.com/gsp/redirect-payment-token-v1/generatePaymentTokenRedirectCompleteNotification/:PIAID

Request body

The request body contains data with the following structure:

JSON representation
{
  "requestHeader": {
    object (RequestHeader)
  },
  "redirectRequestId": string,
  "result": {
    object (RedirectPaymentNotificationRequestResult)
  }
}
Fields
requestHeader

object (RequestHeader)

REQUIRED: Common header for all requests.

redirectRequestId

string

REQUIRED: The requestId sent in the original/initiating redirect payment request.

This is a string that has a max length of 100 characters, and contains only the characters "a-z", "A-Z", "0-9", ":", "-", and "_".

result

object (RedirectPaymentNotificationRequestResult)

REQUIRED: Result of this redirect payment.

Response body

Response object for the generatePaymentTokenRedirectCompleteNotification method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "responseHeader": {
    object (ResponseHeader)
  },
  "result": {
    object (RedirectPaymentNotificationResult)
  }
}
Fields
responseHeader

object (ResponseHeader)

REQUIRED: Common header for all responses.

result

object (RedirectPaymentNotificationResult)

REQUIRED: Contains the result of the request.

RedirectPaymentNotificationRequestResult

Result details of the redirect payment.

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "success": {
    object (Empty)
  },
  "chargeExceedsTransactionLimit": {
    object (Empty)
  },
  "chargeUnderLimit": {
    object (Empty)
  },
  "insufficientFunds": {
    object (Empty)
  },
  "accountDoesNotSupportCurrency": {
    object (Empty)
  },
  "userExitedGeneratePaymentTokenFlow": {
    object (Empty)
  },
  "riskDeclined": {
    object (Empty)
  }
  // End of mutually exclusive fields.
}
Fields
REQUIRED: The result of the redirect payment. The message specifies if this payment was successful or declined. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
success

object (Empty)

Successful redirect payment, deliver the goods.

chargeExceedsTransactionLimit

object (Empty)

This redirect payment token request amount exceeds per-transaction limit.

chargeUnderLimit

object (Empty)

This redirect payment request amount does not meet the minimum transaction amount.

insufficientFunds

object (Empty)

This account does not have sufficient funds to guarantee this redirect payment token request.

accountDoesNotSupportCurrency

object (Empty)

This account does not support the requested currency.

userExitedGeneratePaymentTokenFlow

object (Empty)

User canceled the whole payment attempt. At any point in the payment flow, the user performed an action that canceled the payment. This should be used only when the payment will not complete in the future.

riskDeclined

object (Empty)

The transaction was declined due to a risk check done by the integrator.

End of mutually exclusive fields.

RedirectPaymentNotificationResult

Details corresponding to the result.

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "accepted": {
    object (Empty)
  }
  // End of mutually exclusive fields.
}
Fields
REQUIRED: The result of the request. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
accepted

object (Empty)

The RedirectPaymentCompleteNotificationRequest was valid and is now being processed by Google.

End of mutually exclusive fields.